Bug 114126 - {PATCH] Failure: redhat-config-kickstart --generate <filename>
{PATCH] Failure: redhat-config-kickstart --generate <filename>
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-kickstart (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
http://beau.org/pipermail/whitebox-de...
:
Depends On:
Blocks: 107562
  Show dependency treegraph
 
Reported: 2004-01-22 15:40 EST by Dan Taylor
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 23:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Taylor 2004-01-22 15:40:30 EST
redhat-config-kickstart --generate <filename>
returns this error:
-----------------start----------
Traceback (most recent call last):
  File "/usr/share/redhat-config-kickstart/redhat-config-
kickstart.py", line 60, in ?
    useCliMode(value)
  File "/usr/share/redhat-config-kickstart/redhat-config-
kickstart.py", line 43, in useCliMode
    import profileSystem
  File "/usr/share/redhat-config-kickstart/profileSystem.py", line 
28, in ?
    import languageBackend
ImportError: No module named languageBackend

------------------end-------------
In the URL listed above, someone else had the same problem & provided 
a small patch. 

--- profileSystem.py	2003-12-12 22:51:37.000000000 -0600
+++ profileSystem.py.new	2003-12-23 13:03:55.000000000 -0600
@@ -25,14 +25,14 @@
 import sys
 import os
 sys.path.append("/usr/share/redhat-config-language")
-import languageBackend
+import language_backend
 import rhpl.keyboard as keyboard
 import rhpl.mouse as mouse
 
 class ProfileSystem:
     def __init__(self, kickstartData):
         self.kickstartData = kickstartData
-        self.languageBackend = languageBackend.languageBackend()
+        self.languageBackend = language_backend.LanguageBackend()
         self.mouse = mouse.Mouse(skipProbe = 1)
         
         self.getLang()
Comment 6 John Flanagan 2004-05-11 23:20:15 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-151.html

Note You need to log in before you can comment on or make changes to this bug.